Package org.eclipse.cdt.core.dom.ast

# Interface IEnumerator

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`

public interface IEnumerator extends IBinding
Interface for enumerators.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IType`
`getType()`
Returns the type of this enumeration.
`IValue`
`getValue()`
Returns the value assigned to this enumerator.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

## Method Details

### getType

IType getType()
Returns the type of this enumeration. The type of an enumerator is the enumeration in which it is declared.

Returns:
  the type of the enumeration

### getValue

IValue getValue()
Returns the value assigned to this enumerator.

Since:
  5.1